Bug 1730353 - python-autobahn 19.7.1-1.fc31 hangs during build in rawhide (Fedora 31)
Summary: python-autobahn 19.7.1-1.fc31 hangs during build in rawhide (Fedora 31)
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-autobahn
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Julien Enselme
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON38 F31FTBFS 1732841
TreeView+ depends on / blocked
 
Reported: 2019-07-16 14:02 UTC by Miro Hrončok
Modified: 2019-09-16 08:48 UTC (History)
1 user (show)

Fixed In Version: python-autobahn-19.7.2-2.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-16 08:48:53 UTC


Attachments (Terms of Use)

Description Miro Hrončok 2019-07-16 14:02:28 UTC
It appears that both the Koji build:

https://koji.fedoraproject.org/koji/buildinfo?buildID=1312795

And the Python 3.8 rebuild in Copr:

https://copr.fedorainfracloud.org/coprs/g/python/python3.8/build/971994/

...hang and didn't finish.

Tha hang appears to happen during test collection:

+ py.test-3.8 --pyargs autobahn -k 'not test_unknown_arg and not test_no_memory_arg and not test_basic and not test_argon2id_static and not test_websocket_custom_loop and not TestSerializer'
 !! Copr timeout => sending INT

This blocks the Python 3.8 rebuild.

Comment 1 Miro Hrončok 2019-07-30 15:07:51 UTC
Julien? Could you please prioritize this?

Comment 2 Julien Enselme 2019-07-30 20:09:19 UTC
It's good for rawhide: https://koji.fedoraproject.org/koji/taskinfo?taskID=36689914 I think it will be good for Python 3.8 (I tested in mock).

Comment 3 Ben Cotton 2019-08-13 17:10:19 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 4 Ben Cotton 2019-08-13 18:44:00 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 5 Miro Hrončok 2019-08-14 22:24:23 UTC
The coordinated rebuild of Python 3.8 has started in the `f32-python` side tag.

If you figure out how to rebuild this package, please don't rebuild it in regular rawhide, but use the side tag instead:

    on branch master:
    $ fedpkg build --target=f32-python

To wait for a build to show up in the side tag, do:

    $ koji wait-repo f32-python --build=<nvr>

Where <nvr> is name-version-release of the source package, e.g. python-foo-1.1-2.fc32.

An updated mock config is posted at:
http://copr.fedorainfracloud.org/coprs/g/python/python3.8/

Note that it will take a while before the essential packages are rebuilt, so don't expect all your dependencies to be available right away.

Thanks. Let us know if you need up to date info, or if you have any questions.



PS this message is mass posted to all the bugs that block the PYTHON38 bug. If this is also a Fedora 31 FTBFS bug and you manage to fix it, you can do a f31 build as usual:

    on branch f31:
    $ fedpkg build

Comment 6 Miro Hrončok 2019-08-21 16:35:04 UTC
The f32-python side tag has been merged. In order to rebuild the package, do it in regular rawhide, but please wait until python3-3.8 is tagged:

  $ koji wait-repo f32-build --build python3-3.8.0~b3-3.fc32


If your built already started in f32-python, after it is finished, please tag it to rawhide with:

  $ koji tag-build f32-pending <nvr>

For example:

  $ koji tag-build f32-pending libreoffice-6.3.0.4-3.fc32

Thanks!

(This comment is mass posted to all bugzillas blocking the PYTHON38 tracking bug.)

Comment 7 Miro Hrončok 2019-08-21 17:29:10 UTC
(Python 3.8 has landed in the rawhide buildroot.)


Note You need to log in before you can comment on or make changes to this bug.